#### Description:

A FluxFrame is a specialised form of one-dimensional Frame which represents various systems used to represent the signal level in an observation. The particular coordinate system to be used is specified by setting the FluxFrame`’` s System attribute qualified, as necessary, by other attributes such as the units, etc (see the description of the System attribute for details).

All flux values are assumed to be measured at the same frequency or wavelength (as given by the SpecVal attribute). Thus this class is more appropriate for use with images rather than spectra.

#### Constructor Function

astFluxFrame

#### Inheritance

The FluxFrame class inherits from the Frame class.

#### Attributes

In addition to those attributes common to all Frames, every FluxFrame also has the following attributes:

- SpecVal: The spectral position at which the flux values are measured.

#### Functions

The FluxFrame class does not define any new functions beyond those which are applicable to all Frames.
Copyright (C) 2021 East Asian Observatory